/// 上传场景枚举
enum UploadSceneType {
  /// 亲密度分析
  intimacyAnalyse("intimacyAnalyse"),

  /// 对话分析
  conversationAnalysis("conversationAnalysis"),

  /// 识图回复
  scanImageReply("scanImageReply");

  final String type;

  const UploadSceneType(this.type);

  /// 通过类型字符串，获取对应的类型枚举
  static UploadSceneType fromString(String type) {
    return values.firstWhere(
          (e) => e.type == type,
      orElse: () => throw ArgumentError('无效的类型值: $type'),
    );
  }

  @override
  String toString() => type;
}
